Bug 1301316 - Review Request: erlang-p1_stun - STUN and TURN library for Erlang / Elixir
Review Request: erlang-p1_stun - STUN and TURN library for Erlang / Elixir
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2016-01-23 21:21 EST by Jeremy Cline
Modified: 2016-01-27 14:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 14:14:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jeremy Cline 2016-01-23 21:21:08 EST
Spec URL: https://jcline.fedorapeople.org/erlang-p1_stun.spec
SRPM URL: https://jcline.fedorapeople.org/erlang-p1_stun-0.9.0-1.fc23.src.rpm
Description: STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal Utilities for NAT) and TURN standards are used as techniques to establish media connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12665351

There are a few rpmlint warnings:
-------
Checking: erlang-p1_stun-0.9.0-1.fc24.x86_64.rpm
          erlang-p1_stun-0.9.0-1.fc24.src.rpm
erlang-p1_stun.x86_64: E: no-binary
erlang-p1_stun.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_stun.x86_64: W: no-documentation
erlang-p1_stun.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_stun-0.9.0/include/stun.hrl
2 packages and 0 specfiles checked; 2 errors, 2 warnings.

It is convention to place all erlang packages in the lib directory, even if there are no binaries. As for the no-documentation and incorrect-fsf-address, they have been fixed in upstream master (but not in the version required by ejabberd).
Comment 1 Randy Barlow 2016-01-25 09:23:52 EST
rbarlow Notes
=============
I noticed that they recently released a new version and also have
recently changed the license to Apache. I recommend making a comment in
the spec file to watch out for this in future versions.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/rbarlow/1301316-erlang-
     p1_stun/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
     Note: I think this is OK if this is the version that ejabberd 16.01
           needs.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_stun-0.9.0-1.fc24.x86_64.rpm
          erlang-p1_stun-0.9.0-1.fc24.src.rpm
erlang-p1_stun.x86_64: E: no-binary
erlang-p1_stun.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_stun.x86_64: W: no-documentation
erlang-p1_stun.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_stun-0.9.0/include/stun.hrl
2 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_stun.x86_64: E: no-binary
erlang-p1_stun.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_stun.x86_64: W: no-documentation
erlang-p1_stun.x86_64: E: incorrect-fsf-address /usr/lib64/erlang/lib/p1_stun-0.9.0/include/stun.hrl
1 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
erlang-p1_stun (rpmlib, GLIBC filtered):
    erlang-erts
    erlang-p1_tls
    erlang-p1_utils



Provides
--------
erlang-p1_stun:
    erlang-p1_stun
    erlang-p1_stun(x86-64)



Source checksums
----------------
https://github.com/processone/stun/archive/0.9.0.tar.gz :
  CHECKSUM(SHA256) this package     : ca33833f4b6ef70a7628e6f3697d15cb4e26d32ef4e5a31bbddee86cabe19c50
  CHECKSUM(SHA256) upstream package : ca33833f4b6ef70a7628e6f3697d15cb4e26d32ef4e5a31bbddee86cabe19c50


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1301316
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2016-01-26 15:34:24 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_stun

Note You need to log in before you can comment on or make changes to this bug.